primesieve_iterator Struct Reference

C prime iterator, please refer to iterator.h for more information. More...

`#include <iterator.h>`

## Public Attributes

size_t | i
size_t | last_idx
uint64_t | start
uint64_t | stop
uint64_t | stop_hint
uint64_t | dist
uint64_t * | primes
void * | vector
void * | primeGenerator
int | is_error

## Detailed Description

C prime iterator, please refer to iterator.h for more information.

Examples
  prev_prime.c, and primesieve_iterator.c.

The documentation for this struct was generated from the following file:

- iterator.h